<section id="reservation-form" class="mt50 clearfix">
    <div class="col-sm-12 col-md-4">
        <%= form_for(@booking, as: :booking, url: hotel_category_bookings_path(@hotel_category), html: {class: "reservation-vertical clearfix", remote: true}) do |f| %>
            <h2 class="lined-heading"><span>Reservation</span></h2>
            <div class="price">
                <h4><%= @hotel_category.name %></h4><br/>
                $<%= @hotel_category.price%>/<span> night</span></div>
                <div id="message"></div>
                <%= f.text_field :check_in, class: "hidden" %>
                <%= f.text_field :check_out, class: "hidden"  %>
            <div class="form-group">
                <%if params[:hotel_room_id] == nil%>
                    <%= f.select :hotel_room_id, @hotel_rooms.all.collect { |p| [ "Room #{p.name}", p.id ] }, {prompt:"Select Rooms"}, {class: "form-control"} %> 
                <%else%>
                    <% room = HotelRoom.find(params[:hotel_room_id])%>
                    <%= f.text_field :hotel_room_id, class: "hidden", value: room.id  %>
                <%end%>
            </div>
            <button type="submit" class="btn btn-primary btn-block">Book Now</button>
            <br/>
            <%= link_to search_rooms_hotel_category_bookings_path(@hotel_category), remote: true do %>
                < Go back and select new date range
            <% end %>
        <% end %>
    </div>
</section>